onscripter (20200306-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 08 Mar 2020 11:00:08 +0800

onscripter (20200223-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.5.0: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 24 Feb 2020 18:37:12 +0800

onscripter (20191116-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.4.1: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 24 Nov 2019 16:14:27 +0800

onscripter (20191022-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 04 Nov 2019 22:16:50 +0800

onscripter (20190922-1) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: uses build architecture build tools (Closes: #940052)

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * New upstream release
  * Add new debci test for UTF-8

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 02 Oct 2019 20:05:17 +0800

onscripter (20190819-1) unstable; urgency=low

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Seed build tools from dpkg's buildtools.mk. (Closes: #932064)

  [ Ying-Chun Liu (PaulLiu) <paulliu@debian.org> ]
  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 20 Aug 2019 17:01:43 +0800

onscripter (20190527-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 07 Jul 2019 11:31:57 +0800

onscripter (20181218-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 Dec 2018 00:22:09 +0800

onscripter (20181202-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright
  * Bump debhelper version to 11

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 05 Dec 2018 12:59:12 +0800

onscripter (20181030-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.0.0: nothing needs to be changed
  * Bump debhelper version to 10

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 06 Nov 2018 15:09:31 +0800

onscripter (20180409-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 20 Apr 2018 12:35:30 +0800

onscripter (20170814-1) unstable; urgency=low

  * New upstream release
  * Merge Ubuntu's changes
  * Bump Standards-Version to 4.0.0: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 Aug 2017 09:30:31 +0800

onscripter (20161102-1ubuntu1) zesty; urgency=medium

  * tests: Don't use xvfb, instead force the dummy SDL videodriver so
    that racy SDL init won't fail the tests on qemu. (LP: #1679209)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 03 Apr 2017 17:43:15 +0300

onscripter (20161102-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 14 Nov 2016 11:17:47 +0800

onscripter (20161025-1) unstable; urgency=low

  * New upstream release
  * Fix audopkgtest dependencies.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 02 Nov 2016 02:45:40 +0800

onscripter (20161010-1) unstable; urgency=low

  * New upstream release
  * Added autopkgtest

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 26 Oct 2016 03:08:45 +0800

onscripter (20160912-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 14 Sep 2016 13:27:03 +0800

onscripter (20160910-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 11 Sep 2016 14:16:43 +0800

onscripter (20160909-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.8: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 10 Sep 2016 01:46:06 +0800

onscripter (20160407-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.7: nothing needs to be changed
  * Update upstream URL in debian/control, debian/copyright and debian/watch

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 26 Apr 2016 14:15:15 +0800

onscripter (20150820-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 04 Sep 2015 17:17:29 +0800

onscripter (20150208-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.6: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 03 May 2015 02:59:47 +0800

onscripter (20140817-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 25 Aug 2014 07:48:09 +0800

onscripter (20140504-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 12 May 2014 04:06:12 +0800

onscripter (20131223-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.5: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 21 Mar 2014 23:46:36 +0800

onscripter (20130929-1) unstable; urgency=low

  * New upstream release
  * Use liblua5.2 instead of 5.1-0.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 02 Oct 2013 00:07:05 +0800

onscripter (20130812-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 20 Sep 2013 19:04:24 +0800

onscripter (20130411-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 06 May 2013 16:54:18 +0800

onscripter (20130202-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 07 Feb 2013 01:09:24 +0800

onscripter (20120531-2) unstable; urgency=low

  * debian/rules: Add USE_SMPEG when smpeg is using

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 01 Jul 2012 02:30:20 +0800

onscripter (20120531-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 13 Jun 2012 02:03:22 +0800

onscripter (20120527-2) unstable; urgency=low

  * Fix hardening flags missing (Closes: #673719)
    - Add CPPFLAGS

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 28 May 2012 23:22:27 +0800

onscripter (20120527-1) unstable; urgency=low

  * New upstream release
  * Fix hardening flags missing (Closes: #673719)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 27 May 2012 17:47:25 +0800

onscripter (20120520-1) unstable; urgency=low

  * New upstream release
  * debian/rules: Use "dpkg-buildflags --get CFLAGS" to get default CFLAGS

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 May 2012 01:14:37 +0800

onscripter (20120513-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 16 May 2012 04:18:58 +0800

onscripter (20120414-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 01 May 2012 18:04:56 +0800

onscripter (20120405-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 12 Apr 2012 20:02:34 +0800

onscripter (20120320-1) unstable; urgency=low

  * New upstream release
  * Remove a paragraph in README.Debian due to #438749 is fixed in sdl-ttf2.0

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 30 Mar 2012 00:18:40 +0800

onscripter (20120318-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat to 9

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Mar 2012 16:32:10 +0800

onscripter (20120302-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3
    - Change debian/copyright format to version 1.0
  * debian/rules: handle DEB_BUILD_OPTIONS

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 04 Mar 2012 17:21:24 +0800

onscripter (20120115-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 21 Jan 2012 15:49:24 +0800

onscripter (20120105-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 06 Jan 2012 16:02:15 +0800

onscripter (20111222-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 24 Dec 2011 20:19:24 +0800

onscripter (20111110-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Nov 2011 11:45:53 +0800

onscripter (20111010-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 10 Oct 2011 15:12:15 +0800

onscripter (20110910-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 18 Sep 2011 10:44:00 +0800

onscripter (20110904-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 04 Sep 2011 15:07:06 +0800

onscripter (20110819-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 20 Aug 2011 08:36:58 +0800

onscripter (20110619-2) unstable; urgency=low

  * Build-Depends on libjpeg-dev instead of libjpeg62-dev (Closes: #634281)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 22 Jul 2011 00:54:25 +0800

onscripter (20110619-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 21 Jun 2011 10:32:37 +0800

onscripter (20110520-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.2: nothing needs to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 23 May 2011 00:47:01 +0800

onscripter (20110320-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 21 Mar 2011 02:29:56 +0800

onscripter (20110226-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 04 Mar 2011 22:26:13 +0800

onscripter (20110111-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 22 Jan 2011 01:01:07 +0800

onscripter (20110110-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 11 Jan 2011 18:49:11 +0800

onscripter (20101210-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright to point to new source site.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 14 Dec 2010 23:24:35 +0800

onscripter (20101127-1) unstable; urgency=low

  * New upstream release
    + Use fontconfig when default.ttf is not existed
  * Remove README.source and quilt Build-Depends because using DebSrc3.0

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 28 Nov 2010 11:50:12 +0800

onscripter (20101024-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.1: nothing need to be changed
    - Update Homepage to http://onscripter.sourceforge.jp/onscripter.html
  * debian/watch:
    - Updated due to upstream moved to sourceforge.jp

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 16 Nov 2010 00:10:40 +0800

onscripter (20100813a-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 14 Aug 2010 18:22:06 +0800

onscripter (20100808-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 12 Aug 2010 04:04:19 +0800

onscripter (20100711a-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.9.0: nothing need to be changed

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 16 Jul 2010 01:25:17 +0800

onscripter (20100625-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 01 Jul 2010 16:38:36 +0800

onscripter (20100620-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Jun 2010 22:59:49 +0800

onscripter (20100618a-1) unstable; urgency=low

  * New upstream release
  * Remove "0.0." prefix for version due to historical problem.
    - According to debian-policy 3.2.1 and latest new maint-guide.
      + #45657 -> #554948
    - debian/watch: remove mangling.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 20 Jun 2010 14:09:22 +0800

onscripter (0.0.20100611-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 12 Jun 2010 00:50:12 +0800

onscripter (0.0.20100602-1) unstable; urgency=low

  * New upstream release
  * Drop 01_fix_FTBFS_AVIWrapper.cpp.patch: Upstream fix the issue.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 03 Jun 2010 20:32:04 +0800

onscripter (0.0.20100510-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 17 May 2010 22:42:51 +0800

onscripter (0.0.20100509-1) unstable; urgency=low

  * New upstream release
  * Use DebSrc3.0
  * Use debhelper7
  * Use machine readable copyright file

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 12 May 2010 22:38:59 +0200

onscripter (0.0.20100320-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 26 Mar 2010 23:51:03 +0800

onscripter (0.0.20100131a-1) unstable; urgency=low

  * New upstream release
  * debian/control: Bump Standards-Version to 3.8.4: nothing need to be changed
  * debian/watch: Update match rule to match date+rev upstream version

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 20 Feb 2010 20:55:15 +0800

onscripter (0.0.20100116a-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 18 Jan 2010 14:13:18 +0800

onscripter (0.0.20091115-2) unstable; urgency=low

  * 01_fix_FTBFS_AVIWrapper.cpp.patch: Fix FTBFS. Might fix #556820

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Mon, 30 Nov 2009 18:41:25 +0800

onscripter (0.0.20091115-1) unstable; urgency=low

  * New upstream release
  * Link against libavifile on all platform. (Closes: #557207)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Wed, 25 Nov 2009 02:15:29 +0800

onscripter (0.0.20091011-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 17 Oct 2009 09:39:33 +0800

onscripter (0.0.20090921-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 04 Oct 2009 01:06:00 +0800

onscripter (0.0.20090822-5) unstable; urgency=low

  * debian/rules: Check package status only. Don't check selection states.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sat, 05 Sep 2009 16:11:34 +0800

onscripter (0.0.20090822-4) unstable; urgency=low

  * debian/rules:
    - Fix FTBFS: query install ok installed instead of installed
    - change ?= to := for performance issue

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 03 Sep 2009 16:52:30 +0800

onscripter (0.0.20090822-3) unstable; urgency=low

  * debian/rules: Fix FTBFS on amd64: query more package status

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 03 Sep 2009 14:06:38 +0800

onscripter (0.0.20090822-2) unstable; urgency=low

  * debian/rules: Fix powerpc FTBFS: query status instead of package name

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 30 Aug 2009 18:13:11 +0800

onscripter (0.0.20090822-1) unstable; urgency=low

  * New upstream release
  * debian/rules: detect installed packages instead of arch on handling
    avifile and vorbis codec.
  * debian/control: change maintainer to my Debian mail address.
  * debian/control: link to Tremor on armel platform

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 28 Aug 2009 11:45:08 +0800

onscripter (0.0.20090331-1) unstable; urgency=low

  * New upstream release
  * Bump standard version to 3.8.1 - Nothing changed.
  * Modify debian/watch to scan only stable version of upstream.

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Thu, 30 Apr 2009 22:38:06 +0800

onscripter (0.0.20090116-1) unstable; urgency=low

  * New upstream release (Closes: #510879)
  * Add more copyright holders in debian/copyright
  * Bump standard version to 3.8.0 - Nothing changed
  * Use "$(QUILT_STAMPFN)" instead of "patch" in debian/rules to allow parallel
    building

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sat, 21 Feb 2009 16:19:25 +0800

onscripter (0.0.20080121-1) unstable; urgency=low

  * New upstream release (Closes: 463106)
  * Bump standard version to 3.7.3
    + Nothing needs to be changed
  * Remove 020_buffer_overflow_bug440124.patch which is merged into the
    upstream
  * Reduce 010_migrate_to_avifile_20070718_base.patch because it's partly
    merged into the upstream
  * Use Homepage: field instead of pseudo-field in long description

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Tue, 29 Jan 2008 23:37:16 +0800

onscripter (0.0.20070826a-2) unstable; urgency=low

  * Add 020_buffer_overflow_bug440124.patch to fix buffer overflow in
    ONScripterLabel_rmenu.cpp (Closes: 440124)
  * Add -lvorbisfile to CONFLIBS in debian/rules to fix FTBFS (Closes: 447370)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sun, 21 Oct 2007 01:31:18 +0800

onscripter (0.0.20070826a-1) unstable; urgency=low

  * New upstream release (Closes: 439801)
  * Improve watch file. (Closes: 439800)
    Thanks to Hideki Yamane <henrich@debian.or.jp> 

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Mon, 27 Aug 2007 23:09:14 +0800

onscripter (0.0.20070823-1) unstable; urgency=low

  * New upstream release

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Fri, 24 Aug 2007 01:45:18 +0800

onscripter (0.0.20070206-4) unstable; urgency=low

  * Fix a bug in debian/rule which makes amd64 didn't link against libavifile

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Wed, 08 Aug 2007 06:08:08 +0800

onscripter (0.0.20070206-3) unstable; urgency=low

  * Fix FTBFS: avifile only available on i386/amd64
  * Add 010_migrate_to_avifile_20070718_base.patch to migrate to new avifile
    (Closes: #436355)

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Fri, 03 Aug 2007 22:00:00 +0800

onscripter (0.0.20070206-2) unstable; urgency=low

  * Improve manpages for examples
  * Update README.Debian

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sat, 21 Jul 2007 01:59:23 +0800

onscripter (0.0.20070206-1) unstable; urgency=low

  * Initial release (Closes: #428423)
  * Include 001_remove_avifile_rpath_Bug347536.patch to fix rpath problem.

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Mon, 11 Jun 2007 14:22:31 +0800
